[package]
name = "web-srv"
version = "0.1.0"
authors = ["bso <sergey.boyko0791@gmail.com>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
tokio = {version = "0.2", features = ["fs"]}
actix-web = { version = "2.0", features = ["openssl"] }
actix-rt = "1.0"
openssl = "0.10"
futures = "0.3.1"
envy = "0.4"
serde_derive = "1.0"
dotenv = "0.14"
env_logger = "0.6"
base64 = "0.11"
serde_json = "1.0"
bytes = "0.5"

[dependencies.utils]
path = "libs/utils"

[dependencies.backend]
path = "libs/backend"

[dependencies.frontend]
path = "libs/frontend"
